# Generated from resqutils-1.3.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name resqutils

Name: rubygem-%{gem_name}
Version: 1.3.4
Release: 1%{?dist}
Summary: Utilities for using Resque in a Rails app
License: Apache License Version 2.0, January 2004
URL: https://github.com/stitchfix/resqutils
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(fakeredis)
# BuildRequires: rubygem(rspec_junit_formatter)
BuildArch: noarch

%description
Utilities for using Resque in a Rails app.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.circleci
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/build-matrix.json
%{gem_instdir}/gemfiles
%{gem_libdir}
%{gem_instdir}/owners.json
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/resqutils.gemspec
%{gem_instdir}/spec

%changelog
* Tue Aug 24 2021 mockbuilder - 1.3.4-1
- Initial package
